Skip to main content
POST
/
2025-10
/
transactions
/
report
/2025-10/transactions/report
curl --request POST \
  --url https://api.criteo.com/2025-10/transactions/report \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "type": "report",
      "attributes": {
        "advertiserIds": "123,456,789",
        "eventType": "Display",
        "currency": "EUR",
        "format": "csv",
        "timezone": "Europe/Paris",
        "startDate": "2024-01-01T00:00:00.0000000+00:00",
        "endDate": "2024-01-04T00:00:00.0000000+00:00"
      }
    }
  ]
}
'
import requests

url = "https://api.criteo.com/2025-10/transactions/report"

payload = { "data": [
{
"type": "report",
"attributes": {
"advertiserIds": "123,456,789",
"eventType": "Display",
"currency": "EUR",
"format": "csv",
"timezone": "Europe/Paris",
"startDate": "2024-01-01T00:00:00.0000000+00:00",
"endDate": "2024-01-04T00:00:00.0000000+00:00"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
type: 'report',
attributes: {
advertiserIds: '123,456,789',
eventType: 'Display',
currency: 'EUR',
format: 'csv',
timezone: 'Europe/Paris',
startDate: '2024-01-01T00:00:00.0000000+00:00',
endDate: '2024-01-04T00:00:00.0000000+00:00'
}
}
]
})
};

fetch('https://api.criteo.com/2025-10/transactions/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

A top-level object that encapsulates a Criteo API request for several value objects.

data
object[] | null

Response

Success

The response is of type file.